From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pydevd/
Date: Mon, 16 Oct 2023 16:05:13 +0000 (UTC) [thread overview]
Message-ID: <1697472310.88bd45b9a2f3a095490ae3d76c6c5b297319199d.mgorny@gentoo> (raw)
commit: 88bd45b9a2f3a095490ae3d76c6c5b297319199d
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 16 16:00:49 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 16 16:05:10 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88bd45b9
dev-python/pydevd: Bump to 2.10.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pydevd/Manifest | 1 +
dev-python/pydevd/pydevd-2.10.0.ebuild | 119 +++++++++++++++++++++++++++++++++
2 files changed, 120 insertions(+)
diff --git a/dev-python/pydevd/Manifest b/dev-python/pydevd/Manifest
index aae4c501a8cd..cf94d827df04 100644
--- a/dev-python/pydevd/Manifest
+++ b/dev-python/pydevd/Manifest
@@ -1 +1,2 @@
+DIST PyDev.Debugger-pydev_debugger_2_10_0.gh.tar.gz 4019265 BLAKE2B e72c96576588ac3cbfcdd71a1a8e96d41b9d6757b3468c372b45a9c91a887c693f7309467fe8ea27d29c4775cc8df9ebd610b015cecabaaea43c8aa75229bc25 SHA512 a475e4f4cd9f883307d30b0bb2ebd5095de426b52f0f70b1a557095c06241149ad105ca4cbb31d311fa54e4387bbed27e5cf2712ba7447b19720d46dac21a101
DIST pydevd-2.9.5.gh.tar.gz 3982897 BLAKE2B 06f0712301b419c472bcef2443a2ed277eb477041ff2e40e41b57f61649d84a7559dcae82c30ac572b14e90b98c2b9b9542c7360deded087eec92aeb0372ad67 SHA512 9aa38bc9a238e6f2956883a6318536382726013ea9e4a9d902b36d60df0cf924c279545bcdf92afdb435bfe36598982edd5805725860798fb3970b105254ba1d
diff --git a/dev-python/pydevd/pydevd-2.10.0.ebuild b/dev-python/pydevd/pydevd-2.10.0.ebuild
new file mode 100644
index 000000000000..ea5745003d08
--- /dev/null
+++ b/dev-python/pydevd/pydevd-2.10.0.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing toolchain-funcs
+
+TAG="pydev_debugger_${PV//./_}"
+MY_P="PyDev.Debugger-${TAG}"
+DESCRIPTION="PyDev.Debugger (used in PyDev, PyCharm and VSCode Python)"
+HOMEPAGE="
+ https://github.com/fabioz/PyDev.Debugger/
+ https://pypi.org/project/pydevd/
+"
+SRC_URI="
+ https://github.com/fabioz/PyDev.Debugger/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ sys-devel/gdb
+"
+BDEPEND="
+ test? (
+ dev-python/untangle[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # Drop -O3 and -flto compiler args
+ sed -i \
+ -e 's/extra_link_args = extra_compile_args\[\:\]/pass/g' \
+ -e '/extra_compile_args/d' \
+ setup.py || die
+
+ # Disable tests incompatible with new package versions
+ sed -e '/TEST_\(DJANGO\|FLASK\)/s:True:False:' \
+ -i tests_python/debug_constants.py || die
+
+ # Clean up some prebuilt files
+ rm -r third_party || die
+ cd pydevd_attach_to_process || die
+
+ # Remove these Windows files
+ rm attach_{amd64,x86}.dll || die
+ rm inject_dll_{amd64,x86}.exe || die
+ rm run_code_on_dllmain_{amd64,x86}.dll || die
+ rm -r windows winappdbg || die
+
+ # Remove these MacOS files
+ rm attach_x86_64.dylib || die
+
+ # Remove these prebuilt linux files
+ rm attach_linux_{amd64,x86}.so || die
+
+ cd linux_and_mac || die
+ rm compile_mac.sh || die
+}
+
+src_compile() {
+ pushd pydevd_attach_to_process/linux_and_mac || die
+ # recompile removed file (extracted from compile_linux.sh)
+ $(tc-getBUILD_CXX) ${CXXFLAGS} ${CPPFLAGS} \
+ -o "../attach_linux_${ARCH}.so" \
+ ${LDFLAGS} -nostartfiles attach.cpp -ldl || die
+ popd || die
+
+ distutils-r1_src_compile
+
+ rm -r _pydevd_bundle || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ # NB: upstream seems to run tests via runfiles.py but that script
+ # is a horror and it seems broken for us anyway
+ tests_python/test_debugger.py::test_attach_to_pid_halted
+ tests_python/test_debugger.py::test_attach_to_pid_no_threads
+ 'tests_python/test_debugger.py::test_path_translation[False]'
+ tests_python/test_debugger.py::test_remote_debugger_threads
+ tests_python/test_debugger_json.py::test_attach_to_pid
+ tests_python/test_debugger_json.py::test_evaluate_exception_trace
+ tests_python/test_debugger_json.py::test_gui_event_loop_custom
+ tests_python/test_debugger_json.py::test_path_translation_and_source_reference
+ tests_python/test_utilities.py::test_tracing_basic
+ tests_python/test_utilities.py::test_tracing_other_threads
+ # incompatible version?
+ tests_python/test_debugger_json.py::test_pandas
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # this is only used to compare against getpid() to detect that xdist
+ # is being used
+ local -x PYDEV_MAIN_PID=1
+ epytest -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ # Remove this duplicate that is installed directly to /usr/
+ # These files are also correctly installed to the python site-packages dir
+ rm -r "${ED}/usr/pydevd_attach_to_process" || die
+}
next reply other threads:[~2023-10-16 16:05 UTC|newest]
Thread overview: 100+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-10-16 16:05 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-28 18:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/pydevd/ Michał Górny
2024-10-28 18:55 Michał Górny
2024-06-05 15:36 Michał Górny
2024-06-05 15:36 Michał Górny
2024-06-05 15:00 Michał Górny
2024-06-05 14:54 Michał Górny
2024-06-05 10:01 Michał Górny
2024-05-28 4:42 Michał Górny
2024-02-17 22:26 Sam James
2024-02-01 19:50 Michał Górny
2023-11-22 13:11 Arthur Zamarin
2023-11-22 12:12 Arthur Zamarin
2023-10-24 14:42 Michał Górny
2023-10-17 15:11 Michał Górny
2023-05-04 16:22 Michał Górny
2023-03-11 10:02 Michał Górny
2023-03-11 9:43 Arthur Zamarin
2023-03-11 9:41 Arthur Zamarin
2023-03-11 9:02 Arthur Zamarin
2023-03-11 8:34 Arthur Zamarin
2023-03-11 8:34 Arthur Zamarin
2023-03-11 8:34 Arthur Zamarin
2023-03-11 8:34 Arthur Zamarin
2023-03-11 8:08 Arthur Zamarin
2023-02-02 16:37 Andrew Ammerlaan
2023-01-13 20:27 Michał Górny
2023-01-13 20:14 Arthur Zamarin
2023-01-13 20:14 Arthur Zamarin
2023-01-13 19:06 Arthur Zamarin
2023-01-13 19:03 Arthur Zamarin
2023-01-13 16:31 Arthur Zamarin
2023-01-13 14:50 Sam James
2023-01-13 14:50 Sam James
2023-01-13 14:50 Sam James
2022-12-13 19:57 Arthur Zamarin
2022-11-06 6:36 Michał Górny
2022-11-05 17:06 Agostino Sarubbo
2022-11-04 8:16 Agostino Sarubbo
2022-11-04 0:07 Sam James
2022-11-03 22:18 Sam James
2022-11-03 22:04 Sam James
2022-11-03 22:04 Sam James
2022-11-03 19:44 Arthur Zamarin
2022-11-03 19:33 Arthur Zamarin
2022-10-02 18:54 Arthur Zamarin
2022-09-22 7:45 Michał Górny
2022-06-17 12:45 Michał Górny
2022-06-17 12:18 Jakov Smolić
2022-06-15 7:36 Jakov Smolić
2022-06-15 7:15 Agostino Sarubbo
2022-06-14 21:30 Jakov Smolić
2022-06-14 21:30 Jakov Smolić
2022-06-14 21:30 Jakov Smolić
2022-06-14 21:17 Jakov Smolić
2022-06-14 21:17 Jakov Smolić
2022-06-12 15:34 Sam James
2022-06-12 14:52 Sam James
2022-05-25 9:07 Andrew Ammerlaan
2022-04-16 16:09 Michał Górny
2022-04-14 8:11 Agostino Sarubbo
2022-04-09 21:52 Jakov Smolić
2022-04-09 18:21 Arthur Zamarin
2022-04-09 17:02 Arthur Zamarin
2022-04-09 16:41 Arthur Zamarin
2022-04-09 16:38 Arthur Zamarin
2022-04-09 16:38 Arthur Zamarin
2022-04-09 16:36 Arthur Zamarin
2022-03-09 19:13 Arthur Zamarin
2022-02-14 8:35 Matt Turner
2022-01-30 13:32 James Le Cuirot
2021-11-20 3:54 Sam James
2021-11-19 19:24 Arthur Zamarin
2021-11-19 11:58 Sam James
2021-11-19 9:07 Sam James
2021-11-19 8:34 Sam James
2021-11-19 7:30 Sam James
2021-11-17 7:55 Sam James
2021-11-15 6:02 Sam James
2021-11-14 9:28 Michał Górny
2021-11-11 8:36 Jakov Smolić
2021-11-10 18:05 Sam James
2021-11-10 6:21 Sam James
2021-11-05 14:57 Jakov Smolić
2021-11-05 2:20 Sam James
2021-11-01 8:32 Michał Górny
2021-10-17 9:20 Michał Górny
2021-10-13 19:02 Arthur Zamarin
2021-10-10 23:45 Sam James
2021-09-12 17:38 Sam James
2021-09-12 17:38 Sam James
2021-09-12 8:22 Sam James
2021-09-12 8:21 Sam James
2021-09-12 8:03 Andrew Ammerlaan
2021-09-11 15:59 Sam James
2021-09-11 13:12 Yixun Lan
2021-09-10 13:35 Andrew Ammerlaan
2021-09-10 7:37 Andrew Ammerlaan
2021-09-10 6:50 Andrew Ammerlaan
2021-09-09 16:25 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1697472310.88bd45b9a2f3a095490ae3d76c6c5b297319199d.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox